package dev.model;

public class User {

    private int id;
    private String username;
    private String password;
    private String email;

    // verify user for the first time
    public User(int id, String username, String password, String email){
        this.id = id;
        this.username = username;
        this.password = password;
        this.email = email;
    }

    // verified user
    public User(String username, String password, String email){
        this.username = username;
        this.password = password;
        this.email = email;
    }

    public void setId(int id){
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public String getUsername() {
        return username;
    }

    public String getPassword() {
        return password;
    }

    public String getEmail() {
        return email;
    }
}